/**
  *  \file ui/widgets/fixedspacer.cc
  *  \brief UIFixedSpacer widget
  */

#include "ui/widgets/fixedspacer.h"

UIFixedSpacer::UIFixedSpacer(GfxPoint size) throw()
    : size(size)
{ }

UIFixedSpacer::~UIFixedSpacer()
{ }

void
UIFixedSpacer::drawContent(GfxCanvas& /*can*/)
{ }

void
UIFixedSpacer::getLayoutInfo(LayoutInfo& info)
{
    info.pref_size = info.min_size = size;
    info.flags = 0;
}
